Skip to main content
PUT
Update a comment

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

commentId
string
required

Unique comment identifier

Example:

"cmt_abc123def456"

Body

application/json
content
string
required

Updated content of the comment

Maximum string length: 2000
Example:

"This task needs to be completed by end of week (updated)"

contextUrl
string

Optional URL of the page where the comment was updated, used for deep-linking in notifications

Maximum string length: 2048
Example:

"https://app.trycomp.ai/org_abc123/risk/rsk_abc123?taskItemId=tki_abc123#task-items"

userId
string

User ID of the comment author (required for API key auth, ignored for JWT auth)

Example:

"usr_abc123def456"

Response

200 - application/json

Comment updated successfully

id
string
required

Unique identifier for the comment

Example:

"cmt_abc123def456"

content
string
required

Comment content

Example:

"This task needs to be completed by end of week"

author
object
required

Comment author information

attachments
object[]
required

Attachment metadata (URLs generated on-demand)

createdAt
string<date-time>
required

Comment creation timestamp

Example:

"2024-01-15T10:30:00Z"